/*
 * Class WEL_CBES_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_156 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_156 [] = {0xFF01,1551,155,0xFFFF};
static const EIF_TYPE_INDEX egt_2_156 [] = {0xFF01,155,0xFFFF};
static const EIF_TYPE_INDEX egt_3_156 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_156 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_156 [] = {0xFF01,155,0xFFFF};
static const EIF_TYPE_INDEX egt_6_156 [] = {0xFF01,155,0xFFFF};
static const EIF_TYPE_INDEX egt_7_156 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_156 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_156 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_156 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_156 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_156 [] = {0xFF01,155,0xFFFF};


static const struct desc_info desc_156[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_156), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_156), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_156), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_156), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_156), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_156), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_156), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_156), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_156), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_156), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_156), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_156), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0137 /*155*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_156), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4044, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4045, 0xFFFFFFFF},
};
void Init156(void)
{
	IDSC(desc_156, 0, 155);
	IDSC(desc_156 + 1, 1, 155);
	IDSC(desc_156 + 32, 137, 155);
}


#ifdef __cplusplus
}
#endif
